# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define rel	12

Summary:	GhostView and ImageMagick GUI for PDF/PS files
Name:		kpdftool
Version:	0.23.1
Release:	alt1_%{rel}
License:	GPL+
Group:		Publishing
URL:		http://www.kde-apps.org/content/show.php?content=33194
Source:		http://kde-apps.org/CONTENT/content-files/33194-kpdftool-%{version}.zip
BuildRequires:	qt4-devel
Requires:	ImageMagick-tools
Requires:	ghostscript
Source44: import.info

%description
KPDFTool is a GUI interface for GhostView and ImageMagick
for performing basic and useful operations with PDF and
PS (PostScript) files such as merge, extract pages and
protect the text into new files in a simple and practical way.

%prep
%setup -q

%build
%qmake_qt4
%make_build 

%install
install -d -m755 %{buildroot}%{_bindir}
install -m755 kpdftool %{buildroot}%{_bindir}

install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/kpdftool.desktop << EOF
[Desktop Entry]
Name=KPDFTool
Comment=Operate on PDF files
Exec=%{_bindir}/kpdftool
Icon=publishing_section
Terminal=false
Type=Application
Categories=Office;Publishing;KDE;Qt;
EOF

%files
%doc README
%{_bindir}/kpdftool
%{_datadir}/applications/kpdftool.desktop


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.23.1-alt1_12
- update by mgaimport

* Wed Jan 13 2021 Igor Vlasenko <viy@altlinux.ru> 0.23.1-alt1_11
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.23.1-alt1_10
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.23.1-alt1_9
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.23.1-alt1_8
- new version

